rrset_struct Struct Reference

`#include <rrset.h>`

## Data Fields

rrset_type * | next
zone_type * | zone
domain_type * | domain
ldns_rr_type | rrtype
rr_type * | rrs
size_t | rr_count
collection_t | rrsigs
unsigned | needs_signing: 1

## Detailed Description

Definition at line 59 of file rrset.h.

## Field Documentation

## domain

domain_type* rrset_struct::domain

Definition at line 62 of file rrset.h.

Referenced by domain_add_rrset(), rrset_add_rr(), rrset_add_rrsig(), rrset_cleanup(), rrset_create(), and rrset_sign().

## needs_signing

unsigned rrset_struct::needs_signing

Definition at line 67 of file rrset.h.

Referenced by backup_read_namedb(), rrset_add_rr(), rrset_create(), rrset_del_rr(), and rrset_sign().

## next

rrset_type* rrset_struct::next

Definition at line 60 of file rrset.h.

Referenced by domain_add_rrset(), domain_backup2(), domain_count_rrset_is_added(), domain_diff(), domain_lookup_rrset(), domain_print(), domain_rollback(), rrset_cleanup(), and rrset_create().

## rr_count

size_t rrset_struct::rr_count

Definition at line 65 of file rrset.h.

Referenced by domain_diff(), domain_rollback(), namedb_del_denial(), namedb_wipe_denial(), rrset_add_rr(), rrset_cleanup(), rrset_count_rr_is_added(), rrset_create(), rrset_del_rr(), rrset_diff(), rrset_lookup_rr(), rrset_lookup_ttl(), rrset_print(), and zone_del_nsec3params().

## rrs

rr_type* rrset_struct::rrs

Definition at line 64 of file rrset.h.

Referenced by domain_rollback(), namedb_wipe_denial(), rrset_add_rr(), rrset_cleanup(), rrset_count_rr_is_added(), rrset_create(), rrset_del_rr(), rrset_diff(), rrset_lookup_rr(), rrset_lookup_ttl(), rrset_print(), rrset_sign(), zone_del_nsec3params(), and zone_update_serial().

## rrsigs

collection_t rrset_struct::rrsigs

Definition at line 66 of file rrset.h.

Referenced by rrset_add_rrsig(), rrset_backup2(), rrset_cleanup(), rrset_create(), rrset_drop_rrsigs(), rrset_print(), and rrset_sign().

## rrtype

ldns_rr_type rrset_struct::rrtype

Definition at line 63 of file rrset.h.

Referenced by domain_add_rrset(), domain_backup2(), domain_diff(), domain_lookup_rrset(), domain_print(), domain_rollback(), namedb_examine(), rrset_add_rr(), rrset_create(), rrset_diff(), rrset_print(), and rrset_sign().

## zone

zone_type* rrset_struct::zone

Definition at line 61 of file rrset.h.

Referenced by rrset_create(), rrset_diff(), rrset_print(), and rrset_sign().

The documentation for this struct was generated from the following file:

- src/signer/rrset.h